Subject: RE: Follow-up
From: "Holly Stevens" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Fri, 19 May 2006 15:48:17 -0600

Oh, I will check into that. I'm so sorry!  :)

~~~~~~~~~~~~~~~~~~~ 
Holly Stevens 
Sorenson Communications 

  _____  

From: Mike [mailto:[email-masked]] 
Sent: Friday, May 19, 2006 3:41 PM
To: Holly Stevens
Subject: Follow-up

Hello Holly.
Also, just so you know.  The six invoices for the April 13th order are not
yet paid.  Can you check on this for me and let me know when we should
expect payment?  I will still invoice you for your new order!  Let me know.
Thanks!
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] <mailto:[email-masked]>